Subject: Re: 15"planers-which?

From: [email-masked] (Robert Galloway)
Date: 27 Mar 1997 06:44:38 -0700

Of that trio, I believe the Delta is the only one that adjusts thickness 
by raising and lowering the cutter head.  With the fixed height bed, it 
should be easier to design extensions for the infeed and outfeed tables.
Something to consider.  Right now I have only a 12" portable but the 
Delta is on my wish list unless I hear something bad about it.

rhg

In article <[email-masked]>,
Rhody0226 <[email-masked]> wrote:
>I am deciding between Jet, Powermatic, and Delta 15 inch planers, any
>advice would be much appreciated.